
D4Science Infrastructure - VM Creation #9830

New couple of reverse proxies to redirect and (or) balance some of the services

Sep 27, 2017 01:14 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 27, 2017

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

 

RAM: 2 Applications context

path:

 

CPU: 1 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: No data transfer

enabled:

No

Smartgears Version:  PostgreSQL

database:

No

Application

Instructions:

Install haproxy and configure it a reverse

proxy or load balancer, 

Number of VMs: 2

Smartgears scopes:    

Description

This is going be the haproxy instance that will route all the D4Science services not related to dataminer nor the infra.

Related issues:

Related to D4Science Infrastructure - VM Creation #9702: GeoNetwork 3 dedicat... Closed Sep 15, 2017

History

#1 - Sep 29, 2017 03:21 PM - Andrea Dell'Amico

- Related to VM Creation #9702: GeoNetwork 3 dedicated instance for Tuna Atlas added

#2 - Sep 29, 2017 06:18 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20

HAProxy IP:    services-lb.d4science.org     146.48.122.181

first VM:      services-lb1.d4science.org    146.48.122.154

second VM:     services-lb2.d4science.org    146.48.122.169

#3 - Oct 02, 2017 02:53 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

The haproxy instances have been configured.
